Get a persona
curl --request GET \
--url https://app.egma.ai/v1/personas/{personaId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"identityName": "<string>",
"personality": "<string>",
"language": "<string>",
"parameterContract": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"settings": {
"id": "<string>",
"models": {
"llm": {
"provider": "<string>",
"model": "<string>"
},
"stt": {
"provider": "<string>",
"model": "<string>"
},
"tts": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"speed": 123
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"owner": "egma",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Personas
Get a persona
GET
/
v1
/
personas
/
{personaId}
Get a persona
curl --request GET \
--url https://app.egma.ai/v1/personas/{personaId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"identityName": "<string>",
"personality": "<string>",
"language": "<string>",
"parameterContract": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"settings": {
"id": "<string>",
"models": {
"llm": {
"provider": "<string>",
"model": "<string>"
},
"stt": {
"provider": "<string>",
"model": "<string>"
},
"tts": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"speed": 123
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"owner": "egma",
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Response
The persona.
Minimum string length:
1Minimum string length:
1Required range:
x >= 1Minimum string length:
1The human name the caller gives the agent, separate from the library name.
How the caller behaves and speaks. Put the situation and goal in the test scenario.
The caller's language, such as en-US.
Show child attributes
Show child attributes
This project's saved model and voice settings. Null before first use. Settings changes do not create a behavior version.
Show child attributes
Show child attributes
Available options:
egma, organization